server{
    listen 80;
    
    server_name localhost;

    location /{
        root {{dest_FE}}/build;
        index index.html;
        try_files $uri $uri/ /index.html /index.htm =404;
    }
    
    location @admin_endpoint {
		proxy_pass             http://localhost:{{port_container_JsonServer}};
		proxy_redirect         off;
		proxy_http_version     1.1;
		proxy_set_header       Upgrade $http_upgrade;
		proxy_set_header       Connection "upgrade";
		proxy_set_header       Last-Modified $date_gmt;
		proxy_set_header       Cache-Control 'no-store, no-cache, must-revalidate, proxy-revalidate, max-age=0';
		proxy_no_cache         1;
		proxy_cache_bypass     1;
		add_header             Last-Modified $date_gmt;
		add_header             Cache-Control 'no-store, no-cache, must-revalidate, proxy-revalidate, max-age=0';
		if_modified_since      off;
		expires                off;
		etag                   off;
	}

	location /apiadmin {
		try_files              $uri @admin_endpoint;
	}

	location /apiimage {
		try_files              $uri @admin_endpoint;
	}

    location /call {
        proxy_pass http://localhost:{{ port_container_BE }};
    }

    location /auth {
        proxy_pass http://localhost:{{ port_container_BE }};
    }

    location /static-data{
        try_files $uri @admin_endpoint;
    }
    location /appearance{
        try_files $uri @admin_endpoint;
    }
 
}
